{ config, pkgs, ... }:
{
  imports = [
    ./bookmarks
    ./css
  ];

  gtk = {
    enable = config.home.desktop.enable;
    font = {
      name = "${config.look.fonts.main}";
      size = 11;
    };
    theme = {
      name = "Colloid-Dark";
      package = pkgs.colloid-gtk-theme.override {
        themeVariants = [ "default" ];
        colorVariants = [ "dark" ];
        sizeVariants = [ "standard" ];
        tweaks = [
          "black"
          "rimless"
          "normal"
        ];
      };
    };
    iconTheme = {
      name = "Papirus-Dark";
      package = pkgs.papirus-icon-theme.override {
        color = "${config.look.colors.folder}";
      };
    };
  };
}
